%define name darktable
%define version 1.0.3
%define release %mkrel 1

Summary:	darktable is a photography workflow application
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.gz
License: 	GPLv3
Group:		Graphics
Url: 		http://darktable.sourceforge.net
BuildRequires: 	cmake
BuildRequires: 	libsqlite3-devel
BuildRequires: 	libjpeg, libpng, %{_lib}raw-devel,  cairo, 
BuildRequires: 	%{_lib}glade2.0_0-devel
BuildRequires: 	gettext-devel gettext
BuildRequires: 	lcms2-devel, %{_lib}exiv2-devel, dcraw
BuildRequires: 	%{_lib}gconfmm2.6-devel
BuildRequires: 	tiff-devel
BuildRequires: 	curl-devel, gphoto2-devel, dbus-glib, %{_lib}gnome-keyring-devel, fop,
BuildRequires: 	%{_lib}OpenEXR-devel
BuildRequires: 	xsltproc
BuildRequires: 	%{_lib}rsvg2-devel
BuildRequires: 	gnome-doc-utils

%description
darktable is a photography workflow application: a virtual lighttable and darkroom for photographers: it manages your digital negatives in a database and lets you view them through a zoomable lighttable. it also enables you to develop raw images and enhance them.

this project tries to fill the gap between the many excellent existing free raw converters and image management tools (such as e.g. ufraw, rawstudio, f-spot, digikam, shotwell). The user interface is built around efficient caching of image metadata and mipmaps, all stored in a database. the main focus is on user interaction, both in terms of a smooth interface design as well as processing speed. high quality output is also one of our goals.

all editing is fully non-destructive and only operates on cached image buffers for display. the full image is only converted during export. raw image loading is done using libraw and rawspeed, high-dynamic range, and standard image formats such as jpeg are also supported. the core operates completely on floating point values, so darktable can not only be used for photography but also for scientifically acquired images or output of renderers (high dynamic range).

%prep
%setup -q

%build
mkdir build
cd build
cmake .. \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
%ifarch x86_64
    -DLIB_SUFFIX=64 \
%endif
    -DLIB_INSTALL_DIR:PATH=%{_libdir} 



%make

%install
cd build
%makeinstall_std
cd ..
%find_lang %name

%files -f %{name}.lang
#DOC AUTHORS LICENSE README TRANSLATORS
%{_bindir}/%name
#{_bindir}/%name-viewer
#%{_bindir}/%name-faster
%{_bindir}/%name-cltest
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%name
%{_datadir}/%name/*
%{_iconsdir}/*
%{_libdir}/%name
%{_docdir}/%name
%{_mandir}/man1/darktable.1.xz


%changelog

* Fri May 11 2012 dams <dams> 1.0.3-1.mga2
+ Revision: 235255
- new version 1.0.3

* Sun Apr 15 2012 petos <petos> 1.0-1.mga2
+ Revision: 230874
- imported package darktable

